include("wipeout/all_col.lua")

initialise_all_resource_groups()

if pw==nil or not alive(pw) or pw~=physics.world then
        pw = physics.world
end

if gom==nil then
        gom = get_gom()
end

if sm==nil or not alive(sm) or sm~=gfx.scnmgr then
        sm = gfx.scnmgr
        gfx.cam.nearClipDistance = 0.1
        gfx.cam.farClipDistance = 800
        gfx:warp(Vector3(500,-2000,50))
        sm:setSkyBox(true,"wipeout/SkyBox",100,true,Q_UP)
end

player_ctrl.speedFast = 80
player_ctrl.speedSlow = 35

function load_map()
        include "wipeout/grit_classes.lua"
        include "wipeout/map.lua"
end

function reload_map()
        gom:clearObjects()
        gom:clearClasses()
        include "common/init.lua"
        include "vehicles/init.lua"
        load_map()
end

reload_map()

-- vim: shiftwidth=8:tabstop=8:expandtab
