
include "common/map_classes.lua"

include "common/Barrier/init.lua" 
include "common/Bowling/init.lua"
include "common/CannonBall/init.lua"
include "common/Crate/init.lua"
include "common/Jenga/init.lua"

include "common/Particle/init.lua"

include "common/create_fade_materials.lua"
include "common/matbin_reader.lua"

function reload_uber_shaders()
    local names = {
        "common/vt";
        "common/vT";
        "common/Vt";
        "common/VT";
    }
    for _,name in ipairs(names) do
        get_gpuprog(name.."_v"):reload()
        get_gpuprog(name.."_f"):reload()
    end
end

function make_lots_of_robots(xmin,xmax,xspc,ymin,ymax,yspc,height)
    xmin = xmin or -1000
    xmax = xmax or 1000
    xspc = xspc or 100
    ymin = ymin or -1000
    ymax = ymax or 1000
    yspc = yspc or 100
    height = height or 0
    for x=xmin,xmax,xspc do
        for y=ymin,ymax,yspc do
            local n=gfx.scnmgr.root:createChild()
            n.position=Vector3(x,y,height)
            n.orientation = Q_UP
            n:attachObject(gfx.scnmgr:createEntity(x..","..y,"common/Ogre/Robot.mesh"))
        end
    end
end
