include("common/map_classes.lua")

if pw==nil or not alive(pw) or pw~=physics.world then
        pw = physics.world
end

if gom==nil then
        gom = get_gom()
end

if sm==nil or not alive(sm) or sm~=gfx.scnmgr then
        sm = gfx.scnmgr
        gfx.camPos.position = Vector3(360.644, 285.019, 7.95773)
        gfx.cam.nearClipDistance = 0.3
        --sm:setFog("EXP2",0,0,0,0,0,0)
end

player_ctrl.speedFast = 100
player_ctrl.speedSlow = 3

physics:overrideMesh("top_gear/Track.tcol")
world:overrideClass("top_gear/Track", ColClass, {castShadows=true,receiveShadows=true,renderingDistance=1200})
world:overrideObject("top_gear/Track",0,0,0,{name="Track"})

gom:getObject("Track"):activate()

world:overrideObject("vehicles/Evo", 373.216, 319.639, 0.367447, {rot=Quat(0.513846,-0.00418748,-0.00699078,0.857843), name="Evo"})
world:overrideObject("vehicles/Nova", 380.928, 304.287, 0.499735, {rot=Quat(0.587337,0.000964272,0.00132897,0.809341), name="Nova"})
world:overrideObject("vehicles/Seat", 395.226, 301.552, 0.458252, {rot=Quat(0.570174,-0.00253786,-0.00365739,0.821512), name="Seat"})
world:overrideObject("vehicles/Focus", 393.793, 308.779, 0.439494, {rot=Quat(0.579058,0.00123057,0.00173253,0.815284), name="Focus"})
world:overrideObject("vehicles/MotorBike", 391.083, 315.683, 0.59094, {rot=Quat(0.579058,0.00123057,0.00173253,0.815284), name="MotorBike"})

world:overrideObject("common/Barrier/Tyre", 34.3394, -16.9399, 0.15,     {name="ChicagoTyre00"})
world:overrideObject("common/Barrier/Tyre", 34.3394, -16.9399, 0.480034, {name="ChicagoTyre01"})
world:overrideObject("common/Barrier/Tyre", 36.6647, -17.3556, 0.15,     {name="ChicagoTyre02"})
world:overrideObject("common/Barrier/Tyre", 36.6647, -17.356, 0.480153,  {name="ChicagoTyre03"})
world:overrideObject("common/Barrier/Tyre", 36.6647, -17.3563, 0.81242,  {name="ChicagoTyre04"})
world:overrideObject("common/Barrier/Tyre", 36.6648, -17.3567, 1.14255,  {name="ChicagoTyre05"})
world:overrideObject("common/Barrier/Tyre", 36.6648, -17.357, 1.47302,   {name="ChicagoTyre06"})
world:overrideObject("common/Barrier/Tyre", 37.7698, -17.3255, 0.15,     {name="ChicagoTyre07"})
world:overrideObject("common/Barrier/Tyre", 37.7698, -17.3259, 0.480235, {name="ChicagoTyre08"})
world:overrideObject("common/Barrier/Tyre", 37.7698, -17.3262, 0.811546, {name="ChicagoTyre09"})
world:overrideObject("common/Barrier/Tyre", 37.7698, -17.3266, 1.1416,   {name="ChicagoTyre10"})
world:overrideObject("common/Barrier/Tyre", 38.8728, -17.3883, 0.15,     {name="ChicagoTyre11"})
world:overrideObject("common/Barrier/Tyre", 34.3394, -16.9399, 0.810082, {name="ChicagoTyre12"})
world:overrideObject("common/Barrier/Tyre", 38.8728, -17.3883, 0.480033, {name="ChicagoTyre13"})
world:overrideObject("common/Barrier/Tyre", 38.8728, -17.3883, 0.810081, {name="ChicagoTyre14"})
world:overrideObject("common/Barrier/Tyre", 38.8728, -17.3883, 1.14013,  {name="ChicagoTyre15"})
world:overrideObject("common/Barrier/Tyre", 39.9726, -17.7551, 0.15,     {name="ChicagoTyre16"})
world:overrideObject("common/Barrier/Tyre", 39.9726, -17.7551, 0.480034, {name="ChicagoTyre17"})
world:overrideObject("common/Barrier/Tyre", 39.9726, -17.7551, 0.810082, {name="ChicagoTyre18"})
world:overrideObject("common/Barrier/Tyre", 39.9726, -17.7551, 1.14014,  {name="ChicagoTyre19"})
world:overrideObject("common/Barrier/Tyre", 39.3083, -18.6284, 0.15,     {name="ChicagoTyre20"})
world:overrideObject("common/Barrier/Tyre", 39.3083, -18.6284, 0.480034, {name="ChicagoTyre21"})
world:overrideObject("common/Barrier/Tyre", 39.3083, -18.6284, 0.810082, {name="ChicagoTyre22"})
world:overrideObject("common/Barrier/Tyre", 34.3394, -16.9399, 1.14014,  {name="ChicagoTyre23"})
world:overrideObject("common/Barrier/Tyre", 39.3083, -18.6284, 1.14014,  {name="ChicagoTyre24"})
world:overrideObject("common/Barrier/Tyre", 39.3083, -18.6284, 1.47019,  {name="ChicagoTyre25"})
world:overrideObject("common/Barrier/Tyre", 37.3342, -18.5685, 0.15,     {name="ChicagoTyre26"})
world:overrideObject("common/Barrier/Tyre", 37.3338, -18.5626, 0.487208, {name="ChicagoTyre27"})
world:overrideObject("common/Barrier/Tyre", 37.3333, -18.5566, 0.824334, {name="ChicagoTyre28"})
world:overrideObject("common/Barrier/Tyre", 37.3329, -18.5506, 1.16126,  {name="ChicagoTyre29"})
world:overrideObject("common/Barrier/Tyre", 40.8476, -18.4312, 0.15,     {name="ChicagoTyre30"})
world:overrideObject("common/Barrier/Tyre", 40.8475, -18.4277, 0.485717, {name="ChicagoTyre31"})
world:overrideObject("common/Barrier/Tyre", 40.8473, -18.4241, 0.821049, {name="ChicagoTyre32"})
world:overrideObject("common/Barrier/Tyre", 40.8471, -18.4207, 1.15461,  {name="ChicagoTyre33"})
world:overrideObject("common/Barrier/Tyre", 34.3394, -16.9399, 1.47019,  {name="ChicagoTyre34"})
world:overrideObject("common/Barrier/Tyre", 40.847, -18.4172, 1.48812,   {name="ChicagoTyre35"})
world:overrideObject("common/Barrier/Tyre", 42.0407, -18.2557, 0.15,     {name="ChicagoTyre36"})
world:overrideObject("common/Barrier/Tyre", 42.0406, -18.2547, 0.482464, {name="ChicagoTyre37"})
world:overrideObject("common/Barrier/Tyre", 42.0404, -18.2536, 0.814222, {name="ChicagoTyre38"})
world:overrideObject("common/Barrier/Tyre", 35.5092, -17.3319, 0.15,     {name="ChicagoTyre39"})
world:overrideObject("common/Barrier/Tyre", 35.5092, -17.3319, 0.480034, {name="ChicagoTyre40"})
world:overrideObject("common/Barrier/Tyre", 35.5092, -17.3319, 0.810083, {name="ChicagoTyre41"})
world:overrideObject("common/Barrier/Tyre", 35.5092, -17.3319, 1.14014,  {name="ChicagoTyre42"})
world:overrideObject("common/Barrier/Tyre", 35.5092, -17.3319, 1.47019,  {name="ChicagoTyre43"})

physics:overrideMesh("testville/Ramp.tcol")
world:overrideClass("testville/Ramp",ColClass,{receiveShadows=true,renderingDistance=400,castShadows=true})


-- vim: shiftwidth=8:tabstop=8:expandtab
