print("Loading wipeout classes")
local gom = get_gom()

for i=1,20 do
    gom:addClass(string.format("wipeout/barrier%02d",i),ColClass,{renderingDistance=500})
end

for i=1,20 do
    gom:addClass(string.format("wipeout/wipeo_%02d",i),ColClass,{castShadows=true,renderingDistance=500})
end

gom:addClass("wipeout/speedpad",BaseClass,{castShadows=true,renderingDistance=500})
gom:addClass("wipeout/weaponpad",BaseClass,{castShadows=true,renderingDistance=500})


local SpinningClass = extends (ColClass) {
    rate = 10
}

function SpinningClass.activate (class,persistent,gfxRoot,physics)
        local self = ColClass.activate(class,persistent,gfxRoot,physics)
--[[
        main.frameCallbacks:insert(persistent.name,function ()
                local q = self.body.worldOrientation
                q = Quat((persistent.spinSpeed or 10)*self.timer.ms/1000, persistent.spinAxis or V_UP) * q
                self.gfx.orientation = q
                self.body.worldOrientation = q
                self.timer:reset()
        end)
]]--
        self.spinSpeed = persistent.spinSpeed or 10
        self.spinAxis = persistent.spinAxis or V_UP
        self.body.angularVelocity = math.rad(self.spinSpeed)*self.spinAxis
        self.body.stepCallback = function ()
            local q = self.body.worldOrientation
            q = Quat(self.spinSpeed*self.body.world.stepSize, self.spinAxis) * q
            self.gfx.orientation = q
            self.body.worldOrientation = q
        end
        return self
end

function SpinningClass:deactivate ()
        --main.frameCallbacks:removeByName(self.persistent.name)
        return ColClass.deactivate(self)
end

gom:addClass("wipeout/wo_tunnel",SpinningClass,{castShadows=true,renderingDistance=500})
